/*
  Name:    Menu.h
  Author:  Roman Schönfeld & Daniel Hausherr
*/

/***********************************************************************************************
  This work is licensed under a Creative Commons Attribution 4.0 International (CC BY 4.0) License.

  You are free to:

    Share — copy and redistribute the material in any medium or format
    Adapt — remix, transform, and build upon the material
    for any purpose, even commercially.

    The licensor cannot revoke these freedoms as long as you follow the license terms.

  Under the following terms:

    Attribution — You must give appropriate credit, provide a link to the license, and indicate if
    changes were made. You may do so in any reasonable manner, but not in any way that suggests
    the licensor endorses you or your use.

    No additional restrictions — You may not apply legal terms or technological measures that
    legally restrict others from doing anything the license permits.

  Credits:
        Laboratory for Physics and Illumination Technologies,
        University of Applied Sciences Southern Westfalia
        Germany

  Make Light! Support by the BMBF in the development of this device is gratefully acknowledged
***************************************************************************************************/
#ifndef _MENU_h
#define _MENU_h

#if defined(ARDUINO) && ARDUINO >= 100
#include "arduino.h"
#else
#include "WProgram.h"
#endif

// Funktionszeiger
typedef void (*ToDoFnct) (void*);
typedef void (*ToBuildFnct) (void*, void*);


// Submenu-Struktur
struct MenueEntry {
  const char *e_name;				      // Name
  uint16_t value;				          // Wert
  ToDoFnct Fnct;					        // Funktion
  struct Menu *child;				      // Pointer auf untere Ebenen
};

// Menu-Struktur
struct Menu {
  const char *e_name;				      // Name
  uint8_t pointer;						    // aktuelle Position im Menu
  struct Menu *parent;				    // Pointer auf höhere Ebene
  struct MenueEntry *sublevel;		// Pointer auf untere Ebene
  ToBuildFnct FnctDraw;           // Funktion
};

#endif
