/*
  Name:    Sauron.h
  Author:  Roman Schönfeld & Daniel Hausherr
*/

/***********************************************************************************************
  This work is licensed under a Creative Commons Attribution 4.0 International (CC BY 4.0) License.

  You are free to:

  Share — copy and redistribute the material in any medium or format
  Adapt — remix, transform, and build upon the material
  for any purpose, even commercially.

  The licensor cannot revoke these freedoms as long as you follow the license terms.

  Under the following terms:

  Attribution — You must give appropriate credit, provide a link to the license, and indicate if
  changes were made. You may do so in any reasonable manner, but not in any way that suggests
  the licensor endorses you or your use.

  No additional restrictions — You may not apply legal terms or technological measures that
  legally restrict others from doing anything the license permits.

  Credits:
  Laboratory for Physics and Illumination Technologies,
  University of Applied Sciences Southern Westfalia
  Germany

  Make Light! Support by the BMBF in the development of this device is gratefully acknowledged
***************************************************************************************************/
#ifndef _PDRESPONSE_h
#define _PDRESPONSE_h



#if defined(ARDUINO) && ARDUINO >= 100
#include "arduino.h"
#else
#include "WProgram.h"
#endif

typedef enum {
  BPX_61 = 0,
  OSD_50,

  D_COUNT
} detectors;

typedef enum {
  NM_785 = 0, // 0
  NM_750,     // 1
  NM_725,     // 2
  NM_700,     // 3
  NM_670,     // 4
  NM_650,     // 5
  NM_632,     // 6
  NM_605,     // 7
  NM_575,     // 8
  NM_568,     // 9
  NM_550,     // 10
  NM_532,     // 11
  NM_505,     // 12
  NM_488,     // 13
  NM_475,     // 14
  NM_445,     // 15
  NM_425,     // 16
	NM_405,     // 17
	
	NM_COUNT
} photometer_wavelenght;

extern photometer_wavelenght current_wavelenght;
extern detectors current_detector;

//*********************************************** Detector Characteristic **************************

extern void get_bfh_203_characteristic(void *value);
extern void get_bpx61_characteristic(void *value);
extern void get_bpx61_rel_spec_sensitivity(void *value);
extern void get_none_detector(void *value);
extern void get_osd50_characteristic(void *value);

#endif
